/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2023 . All rights reserved.
*
*/
package net.northking.cctp.project.dto.env;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：系统环境被测系统信息
*
* createdate:  2023-10-06 16:09:05  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "系统环境被测系统信息")
public class CpProjectEnvSysAddDto implements Serializable
{
    /**
     * 系统id<br>
     */
    @ApiModelProperty("系统id")
    @Size(max = 32, message="系统id-projectId: 数据长度不能 > 32" )
    @NotBlank(message = "系统编号不能为空")
    private String projectId;
    /**
     * 环境id<br>
     */
    @ApiModelProperty("环境id")
    @Size(max = 32, message="环境id-envId: 数据长度不能 > 32" )
    @NotBlank(message = "环境编号不能为空")
    private String envId;
    /**
     * 被测系统地址<br>
     */
    @ApiModelProperty("被测系统地址")
    @Size(max = 255, message="被测系统地址-sysUrl: 数据长度不能 > 255" )
    @NotBlank(message = "请输入被测系统地址")
    private String sysUrl;
    /**
     * 系统名称<br>
     */
    @ApiModelProperty("系统名称")
    @Size(max = 32, message="系统名称-sysName: 数据长度不能 > 32" )
    @NotBlank(message = "请输入被测系统名称")
    private String sysName;
    /**
     * 描述<br>
     */
    @ApiModelProperty("描述")
    @Size(max = 255, message="描述-memo: 数据长度不能 > 255" )
    private String memo;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getEnvId() {
        return envId;
    }

    public void setEnvId(String envId) {
        this.envId = envId;
    }

    public String getSysUrl() {
        return sysUrl;
    }

    public void setSysUrl(String sysUrl) {
        this.sysUrl = sysUrl;
    }

    public String getSysName() {
        return sysName;
    }

    public void setSysName(String sysName) {
        this.sysName = sysName;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }
}